<div class="btn-group shadow-sm" role="group">
  <button id="btnGroupDrop1" type="button" class="btn btn-sm dropdown-toggle"
          data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      {{ page ? page.label : 'Select' | translate }}
  </button>
  <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
      <span class="dropdown-item" 
        [class.active]="page && page.id === pageId"  
        *ngFor="let pageId of editionStructure.pagesIndexes"
        (click)="selectPage(pageId)">{{editionStructure.pages[pageId].label}}</span>
  </div>
</div>